/*
name: stk_mouse.cc
info: additional mouse functions (for non event-driver) handling of mouse - implementation
author: Dusan Halicky (dvh.tosomja@post.sk)
licence: GNU GPL
history: 2005-09-27 - start of developement
todo: - finish and release this
bugs: - 
*/

// system header files 
#include <X11/Xlib.h>

// local header files
#include "stk_constants.h"
#include "stk_display.h"

// this file header
#include "stk_mouse.h"

// debugging
#ifdef STK_DEBUG
#define STK_MOUSE_DEBUG
#endif

// implementation
int stkevent_root_x, stkevent_root_y; // mouse position on the root window, sets by stk_get_mouse_position

// get the mouse position now (in root window), sets the stkmouse_root_x and y
void stk_get_mouse_root_position(void)
{
  int moux,mouy,cx,cy;
  Window r,w;
  unsigned int uimask;
  XQueryPointer(stkdisplay,stkdisplay_root,&r,&w,&moux,&mouy,&cx,&cy,&uimask);
  stkevent_root_x=moux;
  stkevent_root_y=mouy;  
}

// end of file

